#include <bits/stdc++.h>
using namespace std;
int N,M;
int main(){
cin >> N >> M;
int Zp=0;
int Zn=0;
int B[M];
int D[N];
int X[M];
int Y[M];
//Unosenje druzeljubivosti
for(int i=0; i<N; i++){
    cin >> D[i];
}
//Unosenje parova
for(int i2=0; i2<M; i2++){
    cin >> X[i2];
    cin >> Y[i2];
    B[i2]=0;
}
//Izracunavanje broja parova za svakog ucesnika
for(int a=0; a<M; a++){
    B[X[a]]++;
    B[Y[a]]++;
}
for(int c=1; c<=N; c++){
}

//Racunanje zbira u slucaju prijateljstva
for(int i3=0; i3<N; i3++){
    Zp+=D[i3]*(B[i3+1]);
}
//Racunanje zbira u slucanju neprijateljstva
for(int i4=0; i4<N; i4++){
    Zn+=D[i4]*(0-B[i4+1]);
}


//Poredjenje dva zbira
if (Zn>Zp){
    cout << Zn;
}
else {
    cout << Zp;
}
return 0;
}